﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

// MySQL library added in references.
using MySql.Data.MySqlClient;

namespace MySQLConCCharp
{
	public class DBContacts
	{

		private MySqlConnection connection;

		// Constructor
		public DBContacts()
		{
			this.InitConnexion();
		}

		// Method to initialize the connection
		private void InitConnexion()
		{
			//Creating the connection string
			string connectionString = "SERVER=127.0.0.1; DATABASE=Customers; UID=root; PASSWORD=";
			this.connection = new MySqlConnection(connectionString);
		}

		// Method to add a contact
		public void AddContact(Contact contact)
		{
			try
			{
				// Open SQL connection
				this.connection.Open();

				// Creation of an SQL command based on the connection object
				MySqlCommand cmd = this.connection.CreateCommand();

				// SQL request
				cmd.CommandText = "INSERT INTO contact (id, name, tel) VALUES (@id, @name, @tel)";

				// use of the contact object passed as a parameter
				cmd.Parameters.AddWithValue("@id", contact.Id);
				cmd.Parameters.AddWithValue("@name", contact.Name);
				cmd.Parameters.AddWithValue("@tel", contact.Tel);

				// Executing the SQL command
				cmd.ExecuteNonQuery();

				// Closing the connection
				this.connection.Close();
			}
			catch
			{
				// Error management :
				// Possibility of creating a Logger for SQL exceptions received
				// Possibility of creating a method with a boolean in return to know if the contact was added correctly.
			}
		}
	}

}
